## rar 0.0.2

=== DESCRIPTION ===
Package: rar
Title: Risk-Adjusted Regression
Version: 0.0.2
Authors@R: 
    person("Johann", "Gaebler", , "me@jgaeb.com", role = c("aut", "cre", "cph"),
        comment = c(ORCID = "0000-0003-3340-9542"))
Description: Perform risk-adjusted regression and sensitivity analysis as
    developed in "Mitigating Omitted- and Included-Variable Bias in Estimates of
    Disparate Impact" Jung et al. (2024) <arXiv:1809.05651>.
License: MIT + file LICENSE
Encoding: UTF-8
URL: https://rar.jgaeb.com, https://github.com/jgaeb/rar
BugReports: https://github.com/jgaeb/rar/issues
RoxygenNote: 7.2.3
LinkingTo: cpp11, testthat
Suggests: broom, forcats, stringr, testthat (>= 3.0.0), xml2
Config/testthat/edition: 3
Imports: dplyr, glue, magrittr, purrr, rlang, tibble, tidyr,
        tidyselect, vctrs
NeedsCompilation: yes
Packaged: 2024-01-18 11:41:58 UTC; jgaeb
Author: Johann Gaebler [aut, cre, cph]
    (<https://orcid.org/0000-0003-3340-9542>)
Maintainer: Johann Gaebler <me@jgaeb.com>
Repository: CRAN
Date/Publication: 2024-01-18 20:20:02 UTC

## rar 0.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rar
 Title: Risk-Adjusted Regression
-Version: 0.0.2
+Version: 0.0.3
 Authors@R: 
     person("Johann", "Gaebler", , "me@jgaeb.com", role = c("aut", "cre", "cph"),
         comment = c(ORCID = "0000-0003-3340-9542"))
@@ -18,9 +18,9 @@
 Imports: dplyr, glue, magrittr, purrr, rlang, tibble, tidyr,
         tidyselect, vctrs
 NeedsCompilation: yes
-Packaged: 2024-01-18 11:41:58 UTC; jgaeb
+Packaged: 2024-01-23 19:03:16 UTC; jgaeb
 Author: Johann Gaebler [aut, cre, cph]
     (<https://orcid.org/0000-0003-3340-9542>)
 Maintainer: Johann Gaebler <me@jgaeb.com>
 Repository: CRAN
-Date/Publication: 2024-01-18 20:20:02 UTC
+Date/Publication: 2024-01-24 17:30:05 UTC

## rar 2.02-2

=== debian/changelog ===
rar (2.02-2) unstable; urgency=low

  * Written man page.

 -- Petr Cech <cech@debian.org>  Thu, 13 Aug 1998 23:45:12 +0200

rar (2.02-1) unstable; urgency=low

  * Initial Release.
  * Started to write a man page (not yet in binary package).

 -- Petr Cech <cech@debian.org>  Wed, 20 May 1998 21:00:33 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "cech@debian.org"
End:

=== debian/control ===
Source: rar
Section: non-free/utils
Priority: optional
Maintainer: Petr Cech <cech@debian.org>
Standards-Version: 2.4.1

Package: rar
Architecture: i386
Depends: ${shlibs:Depends}
Description: Archiver for .rar files
 This is the RAR archiver from Eugene Roshal. It supports multiple volume
 archives and damage protection. It can also create SFX-archives. There are
 versions which run on DOS, Windows (3.1x,95,NT), FreeBSD, BSDI.
 .
 This program is shareware and you must register it after 40 days of use.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Petr Cech.
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	
	# Add here commands to compile the package.
	chmod 755 rarlinux.sfx
	./rarlinux.sfx
# I wanted to build unrar myself. Anybody interested in
# unrar libc6 package?
#	./rar x UnrS202.rar unrar-2.02/
#	dos2unix unrar-2.02/*
#	cd unrar-2.02 && gcc -Wall -O2 -g -D_UNIX -o unrar unrar.c

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	find . -maxdepth 1 -type f -not -name rarlinux.sfx -exec rm -f {} \;
#	rm -fr unrar-2.02

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
#	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -o root -g root -s -m 0755 {un,}rar debian/tmp/usr/bin

	dh_installdocs
#	dh_installexamples
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	install -o root -g root -m 0644 Dos.SFX debian/tmp/usr/lib/rar/dos.sfx
	install -o root -g root -m 0644 default.sfx debian/tmp/usr/lib/rar
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## rar 3.9.3

=== debian/changelog ===
rar (2:3.9.3-1) unstable; urgency=low

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Fri, 26 Mar 2010 10:18:04 +0000

rar (2:3.9.2-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped Standards Version

 -- Martin Meredith <mez@debian.org>  Thu, 11 Mar 2010 18:44:23 +0000

rar (2:3.9.1-1) unstable; urgency=low

  * New upstream release
  * Added ${misc:Depends} (Though, there won't be anything here!)
  * Added Lintian Override for missing Depends:

 -- Martin Meredith <mez@debian.org>  Sun, 03 Jan 2010 19:04:10 +0000

rar (2:3.9.0-1) unstable; urgency=low

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Fri, 18 Sep 2009 12:32:52 +0100

rar (1:3.9.b3-1) unstable; urgency=low

  * New upstream release
  * Bumped standards version

 -- Martin Meredith <mez@debian.org>  Sat, 18 Jul 2009 13:36:28 +0100

rar (1:3.9.b2-1) unstable; urgency=low

  * New upstream release
  * Updated to new Maintainer (for debian email)

 -- Martin Meredith <mez@debian.org>  Sat, 06 Jun 2009 17:53:52 +0100

rar (1:3.8.0-2) unstable; urgency=low

  * Fixed watch file

 -- Martin Meredith <mez@ubuntu.com>  Thu, 11 Dec 2008 23:56:33 +0000

rar (1:3.8.0-1) unstable; urgency=low

  * New upstream release
  * Changed Watch file that didn't seem to upload correctly for the last
    upload

 -- Martin Meredith <mez@ubuntu.com>  Fri, 17 Oct 2008 09:26:09 +0100

rar (1:3.8b3-1) unstable; urgency=low

  * New upstream release
  * Fixed watch file to be more stringent on what it selects

 -- Martin Meredith <mez@ubuntu.com>  Sun, 13 Jul 2008 14:51:40 +0100

rar (1:3.8b2-2) unstable; urgency=low

  * Backed out debconf changes - caused install issue and not needed
    due to me misreading the licence (Closes: #486822)
  * Changed debhelper depends to 6 to help compatibilty with ubuntu

 -- Martin Meredith <mez@ubuntu.com>  Wed, 18 Jun 2008 14:00:53 +0100

rar (1:3.8b2-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards Version
  * Bumped debhelper Version
  * Added DM-Upload-Allowed control field
  * Updated Copyright for new licence
  * Added debconf scripts to show licence
  * Removed ia32-libs depends - static binary, so not needed

 -- Martin Meredith <mez@ubuntu.com>  Tue, 17 Jun 2008 23:11:36 +0100

rar (1:3.7.1-2) unstable; urgency=low

  [ Martin Meredith ]
  * Bumped Debhelper compatibility level
  * Bumped Standards Version
  * Included headers/Information required for Auto-Buildding

  [ Francois Marier ]
  * Bumped Debhelper dependency
  * Fixed manpage hyphen problems

 -- Martin Meredith <mez@ubuntu.com>  Thu, 01 May 2008 18:17:10 +1200

rar (1:3.7.1-1) unstable; urgency=low

  * New upstream release (Closes: #451572)
  * Added watch file
  * Moved Homepage to Header
  * Added linda overrides

 -- Martin Meredith <mez@ubuntu.com>  Fri, 23 Nov 2007 20:41:34 +0000

rar (1:3.7b1-2) unstable; urgency=high

  * Install rar_static instead of rar as rar binary (Closes: 410754)

 -- Martin Meredith <mez@ubuntu.com>  Wed, 14 Feb 2007 05:04:48 +0000

rar (1:3.7b1-1) unstable; urgency=high

  * New upstream release (Closes: #410582)

 -- Martin Meredith <mez@ubuntu.com>  Mon, 12 Feb 2007 02:59:57 +0000

rar (1:3.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #380679, #309184)
  * Updated Standards Version
  * Updated compat level and debhelper depends
  * Added Website to control file
  * Add Support for amd64 (Closes: #280595)
  * Added . to make lintian override work
  * Updated control file to read correctly for homepage

 -- Martin Meredith <mez@ubuntu.com>  Wed, 17 Jan 2007 06:18:36 +0000

rar (1:3.5.1-1) unstable; urgency=low

  * New Upstream Release (Closes: 280595)
  * New Maintainer (Closes: 349311)
  * Patched Man page (Closes: 284373)
  * Cleaned up debian/rules
  * Modified debian/copyright to reflect recent changes
  * Added epoch to correct version numbers

 -- Martin Meredith <mez@ubuntu.com>  Sun, 22 Jan 2006 17:04:44 +0000

rar (3.30-2) unstable; urgency=low

  * New Maintainer
  * Updated standards version to 3.6.1

 -- Chris Anderson <chris@nullcode.org>  Thu, 24 Jun 2004 02:33:26 -0400

rar (3.30-1) unstable; urgency=low

  * New upstream release.

 -- Petr Cech <cech@debian.org>  Tue,  3 Feb 2004 12:45:36 +0100

rar (3.20-2) unstable; urgency=low

  * Generate Depends: automagicly (closes: #197270)
  * Remove emacs thingy from changelog

 -- Petr Cech <cech@debian.org>  Fri,  4 Jul 2003 15:39:13 +0200

rar (3.20-1) unstable; urgency=low

  * New upstream release.

 -- Petr Cech <cech@debian.org>  Mon,  2 Jun 2003 16:43:15 +0200

rar (3.0-1) unstable; urgency=low

  * New upstream version
  * Updates to debian/rar.1

 -- Petr Cech <cech@debian.org>  Sat, 18 May 2002 01:22:01 +0200

rar (3.0-0b5.1) unstable; urgency=medium

  * Internal testing release. Unreleased to public.
  * New upstream beta release.
  * Urgency set to get this into woody

 -- Petr Cech <cech@debian.org>  Mon, 22 Apr 2002 13:33:41 +0200

rar (2.80-2) unstable; urgency=low

  * Put license.txt text into debian/copyright (closes: #95120)

 -- Petr Cech <cech@debian.org>  Tue, 24 Apr 2001 19:24:31 +0200

rar (2.80-1) unstable; urgency=low

  * New upstream release.
  * update package to latest standards (debhelper, Standards-Version)

 -- Petr Cech <cech@debian.org>  Wed,  4 Apr 2001 09:15:31 +0200

rar (2.71-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Petr Cech <cech@debian.org>  Fri, 23 Jun 2000 02:46:13 +0200

rar (2.70-1) unstable; urgency=low

  * New upstream release.
  * unrar now has it's own package.

 -- Petr Cech <cech@debian.org>  Fri,  2 Jun 2000 00:17:05 +0200

rar (2.60-1) unstable; urgency=low

  * New upstream release.
  * Standars-version: 3.0.1

 -- Petr Cech <cech@debian.org>  Tue,  2 Nov 1999 19:12:58 +0100

rar (2.50-1) unstable; urgency=low

  * New upstream release.
  * build against glibc2.

 -- Petr Cech <cech@debian.org>  Fri,  2 Apr 1999 12:53:43 +0200

=== debian/control ===
Source: rar
Section: non-free/utils
Priority: optional
Maintainer: Martin Meredith <mez@debian.org>
Build-Depends: debhelper (>= 6)
Standards-Version: 3.8.4
Homepage: http://www.rarlabs.com/
XS-Autobuild: yes

Package: rar
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: unrar
Description: Archiver for .rar files
 This is the RAR archiver from Eugene Roshal. It supports multiple volume
 archives and damage protection. It can also create SFX-archives. There are
 versions which run on DOS, Windows (3.1x,95,NT), FreeBSD, BSDI.
 .
 This program is shareware and you must register it after 40 days of use.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	dh_clean

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot

	dh_clean -k
	dh_installdirs

	install -o root -g root -s -m 0755 rar_static debian/rar/usr/bin/rar
	
	dh_installdocs
	dh_installman debian/rar.1
	dh_installchangelogs
	dh_strip
	dh_compress
	install -o root -g root -m 0644 default.sfx debian/rar/usr/lib/default.sfx
	install -o root -g root -m 0644 rarfiles.lst debian/rar/etc/rarfiles.lst
	install -o root -g root -m 644 debian/lintian debian/rar/usr/share/lintian/overrides/rar
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## rar 3.30

=== Makefile ===
###################################################################
# Installing RAR executables, configuration files and SFX modules #
# to appropriate directories                                      #
###################################################################

PREFIX=/usr/local

install:
	cp rar unrar $(PREFIX)/bin
	cp rarfiles.lst /etc
	cp default.sfx $(PREFIX)/lib

## rar 4.0.b3

=== debian/changelog ===
rar (2:4.0.b3-1) unstable; urgency=low

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Tue, 28 Dec 2010 01:13:08 +0000

rar (2:4.0.b2-2) unstable; urgency=low

  * Added in 64 bit source package
  * Put 64 bit binary in 64 bit package
  * Remove ia32 depends

 -- Martin Meredith <mez@debian.org>  Sun, 12 Dec 2010 19:44:14 +0000

rar (2:4.0.b2-1) unstable; urgency=low

  * New upstream release
  * Added ia32-libs Depends for amd64 (Closes: #602266)
  * Bumped Standards Version

 -- Martin Meredith <mez@debian.org>  Sun, 12 Dec 2010 03:07:44 +0000

## rar 4.2.0

=== debian/changelog ===
rar (2:4.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #661065)

 -- Martin Meredith <mez@debian.org>  Mon, 12 Nov 2012 11:10:46 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin Meredith <mez@debian.org>
 Build-Depends: debhelper (>= 6)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.rarlabs.com/
 XS-Autobuild: yes

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
+	rm -rf ./i386
 	
 	dh_clean
 
@@ -21,14 +22,17 @@
 	dh_clean -k
 	dh_installdirs
 
-	install -o root -g root -s -m 0755 rar_static debian/rar/usr/bin/rar
+	mkdir ./i386
+	cp ./rar_static ./i386
+	cp ./default.sfx ./i386
+	install -o root -g root -s -m 0755 $(DEB_BUILD_ARCH)/rar_static debian/rar/usr/bin/rar
 	
 	dh_installdocs
 	dh_installman debian/rar.1
 	dh_installchangelogs
 	dh_strip
 	dh_compress
-	install -o root -g root -m 0644 default.sfx debian/rar/usr/lib/default.sfx
+	install -o root -g root -m 0644 $(DEB_BUILD_ARCH)/default.sfx debian/rar/usr/lib/default.sfx
 	install -o root -g root -m 0644 rarfiles.lst debian/rar/etc/rarfiles.lst
 	install -o root -g root -m 644 debian/lintian debian/rar/usr/share/lintian/overrides/rar
 	dh_fixperms

=== debian/watch ===
version=3

http://www.rarlab.com/download.htm /rar/rarlinux-(\d.*)\.tar\.gz	debian	uupdate

## rar 4.2.0+dfsg.1

=== debian/changelog ===
rar (2:4.2.0+dfsg.1-0.1) jessie; urgency=medium

  * Non-maintainer upload
  * Repacked orig tarball excludes statically linked rar
    (Closes: #693396, #860952)
  * Install dynamically linked rar and remove the lintian override for it
    being static
  * Remove lintian override for default.sfx being static, which it hasn't
    been for a long time

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 10 Jun 2018 00:38:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,9 @@
 	dh_installdirs
 
 	mkdir ./i386
-	cp ./rar_static ./i386
+	cp ./rar ./i386
 	cp ./default.sfx ./i386
-	install -o root -g root -s -m 0755 $(DEB_BUILD_ARCH)/rar_static debian/rar/usr/bin/rar
+	install -o root -g root -s -m 0755 $(DEB_BUILD_ARCH)/rar debian/rar/usr/bin/rar
 	
 	dh_installdocs
 	dh_installman debian/rar.1

## rar 5.2.1b2

=== debian/changelog ===
rar (2:5.2.1b2-1) unstable; urgency=medium

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Tue, 03 Feb 2015 12:21:46 +0000

## rar 5.3.b2

=== debian/changelog ===
rar (2:5.3.b2-1) unstable; urgency=medium

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Mon, 10 Aug 2015 14:39:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin Meredith <mez@debian.org>
 Build-Depends: debhelper (>= 6)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.5
 Homepage: http://www.rarlabs.com/
 XS-Autobuild: yes

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
-build: build-stamp
+
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
 	touch build-stamp
@@ -10,7 +14,7 @@
 	dh_testroot
 	rm -f build-stamp
 	rm -rf ./i386
-	
+
 	dh_clean
 
 binary-indep: build
@@ -23,10 +27,10 @@
 	dh_installdirs
 
 	mkdir ./i386
-	cp ./rar ./i386
+	cp ./rar_static ./i386
 	cp ./default.sfx ./i386
-	install -o root -g root -s -m 0755 $(DEB_BUILD_ARCH)/rar debian/rar/usr/bin/rar
-	
+	install -o root -g root -s -m 0755 $(DEB_BUILD_ARCH)/rar_static debian/rar/usr/bin/rar
+
 	dh_installdocs
 	dh_installman debian/rar.1
 	dh_installchangelogs
@@ -42,7 +46,7 @@
 	dh_md5sums
 	dh_builddeb
 
-source diff:                                                                  
+source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch

## rar 5.4.0

=== debian/changelog ===
rar (2:5.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Mon, 13 Feb 2017 17:04:43 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin Meredith <mez@debian.org>
 Build-Depends: debhelper (>= 6)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.rarlabs.com/
 XS-Autobuild: yes

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dh_testdir
 	dh_testroot
 
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	mkdir ./i386

## rar 5.4.0+dfsg.1

=== debian/changelog ===
rar (2:5.4.0+dfsg.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Upstream re-release excludes statically linked rar
    (Closes: #693396, #860952)
  * Install dynamically linked rar
  * Use debhelper compatibility level 9

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 04 May 2017 03:52:05 +0100

## rar 5.5.0

=== debian/changelog ===
rar (2:5.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * DEP-5 copyright file with licenses fixed (Closes: #994951)
  * Package unrar again for distribution permission compliance (Closes: #994956)
  * Exclude txt files from compression so they are untouched
  * Update Debian's manpage (Closes: #995001)
  * Remove autobuild tag (Closes: #862028)
  * d/watch: Make the package a MUT (download both origtars)

 -- Bastian Germann <bage@debian.org>  Wed, 13 Oct 2021 18:51:43 +0200

rar (2:5.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Martin Meredith <mez@debian.org>  Tue, 29 Aug 2017 11:10:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: non-free/utils
 Priority: optional
 Maintainer: Martin Meredith <mez@debian.org>
-Build-Depends: debhelper (>= 6)
+Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.8
-Homepage: http://www.rarlabs.com/
-XS-Autobuild: yes
+Homepage: https://www.rarlabs.com/
 
 Package: rar
 Architecture: i386 amd64

=== debian/rules ===
--- 
+++ 
@@ -27,15 +27,17 @@
 	dh_installdirs
 
 	mkdir ./i386
-	cp ./rar_static ./i386
+	cp ./rar ./i386
+	cp ./unrar ./i386
 	cp ./default.sfx ./i386
-	install -o root -g root -s -m 0755 $(DEB_BUILD_ARCH)/rar_static debian/rar/usr/bin/rar
+	install -o root -g root -s -m 0755 $(DEB_BUILD_ARCH)/rar debian/rar/usr/bin/rar
 
 	dh_installdocs
 	dh_installman debian/rar.1
 	dh_installchangelogs
 	dh_strip
-	dh_compress
+	dh_compress -X.txt
+	install -o root -g root -m 0644 $(DEB_BUILD_ARCH)/unrar debian/rar/usr/lib/unrar
 	install -o root -g root -m 0644 $(DEB_BUILD_ARCH)/default.sfx debian/rar/usr/lib/default.sfx
 	install -o root -g root -m 0644 rarfiles.lst debian/rar/etc/rarfiles.lst
 	install -o root -g root -m 644 debian/lintian debian/rar/usr/share/lintian/overrides/rar

=== debian/watch ===
version=4

http://www.rarlab.com/download.htm /rar/rarlinux-(\d.*)\.tar\.gz	debian

opts="component=amd64" \
http://www.rarlab.com/download.htm /rar/rarlinux-x64-(\d.*)\.tar\.gz	same	uupdate

## rar 6.11

=== debian/changelog ===
rar (2:6.11-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version
  * 3rd party BSD licenses do not apply to default.sfx anymore
  * Do not strip rar for distribution permission compliance
  * Include makefile for distribution permission compliance
  * d/rules: Use DEB_HOST_ARCH over DEB_BUILD_ARCH to enable cross build

 -- Bastian Germann <bage@debian.org>  Wed, 16 Mar 2022 20:39:28 +0200

=== debian/control ===
Source: rar
Section: non-free/utils
Priority: optional
Maintainer: Martin Meredith <mez@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Homepage: https://www.rarlabs.com/

Package: rar
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: unrar
Description: Archiver for .rar files
 This is the RAR archiver from Eugene Roshal. It supports multiple volume
 archives and damage protection. It can also create SFX-archives. There are
 versions which run on DOS, Windows, FreeBSD, BSDI.
 .
 This program is shareware and you must register it after 40 days of use.

=== debian/watch ===
version=4

https://www.rarlab.com/download.htm /rar/rarlinux-x32-(\d.*)\.tar\.gz	debian

opts="component=amd64" \
https://www.rarlab.com/download.htm /rar/rarlinux-x64-(\d.*)\.tar\.gz	same	uupdate

## rar 6.20~b1

=== debian/changelog ===
rar (2:6.20~b1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version (Closes: #1012228, CVE-2022-30333)
  * d/watch: Add versionmangle for beta versions
  * Update debhelper-compat to level 12
  * d/control: Add XS-Autobuild: yes

 -- Bastian Germann <bage@debian.org>  Wed, 26 Oct 2022 19:10:57 +0200

## rar 6.20

=== debian/changelog ===
rar (2:6.20-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version (Closes: #1029786)

 -- Bastian Germann <bage@debian.org>  Fri, 27 Jan 2023 18:37:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: rar
 Section: non-free/utils
+XS-Autobuild: yes
 Priority: optional
 Maintainer: Martin Meredith <mez@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper-compat (= 12)
 Standards-Version: 3.9.8
 Homepage: https://www.rarlabs.com/

## rar 6.23

=== debian/changelog ===
rar (2:6.23-1~22.04.1) jammy-security; urgency=medium

  * Updated to 6.23 to fix multiple security issues.
    - CVE-2022-30333
    - CVE-2023-40477

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 07 Mar 2025 09:40:42 -0500

rar (2:6.23-1) unstable; urgency=medium

  * New upstream version (Closes: #1049870)
  * Add myself to Uploaders (Closes: #1049871)

 -- Bastian Germann <bage@debian.org>  Wed, 16 Aug 2023 17:28:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -30,15 +30,14 @@
 	cp ./rar ./i386
 	cp ./unrar ./i386
 	cp ./default.sfx ./i386
-	install -o root -g root -s -m 0755 $(DEB_BUILD_ARCH)/rar debian/rar/usr/bin/rar
+	install -o root -g root -s -m 0755 $(DEB_HOST_ARCH)/rar debian/rar/usr/bin/rar
 
 	dh_installdocs
 	dh_installman debian/rar.1
 	dh_installchangelogs
-	dh_strip
 	dh_compress -X.txt
-	install -o root -g root -m 0644 $(DEB_BUILD_ARCH)/unrar debian/rar/usr/lib/unrar
-	install -o root -g root -m 0644 $(DEB_BUILD_ARCH)/default.sfx debian/rar/usr/lib/default.sfx
+	install -o root -g root -m 0644 $(DEB_HOST_ARCH)/unrar debian/rar/usr/lib/unrar
+	install -o root -g root -m 0644 $(DEB_HOST_ARCH)/default.sfx debian/rar/usr/lib/default.sfx
 	install -o root -g root -m 0644 rarfiles.lst debian/rar/etc/rarfiles.lst
 	install -o root -g root -m 644 debian/lintian debian/rar/usr/share/lintian/overrides/rar
 	dh_fixperms

=== debian/watch ===
version=4

opts="versionmangle=s/b/~b/" \
https://www.rarlab.com/download.htm /rar/rarlinux-x32-(\d.*)\.tar\.gz	debian

opts="versionmangle=s/b/~b/,component=amd64" \
https://www.rarlab.com/download.htm /rar/rarlinux-x64-(\d.*)\.tar\.gz	same	uupdate

## rar 7.00

=== debian/changelog ===
rar (2:7.00-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:26:43 +1100

rar (2:7.00-1) unstable; urgency=medium

  * New upstream version
  * d/watch: Insert missing dot in upstream version

 -- Bastian Germann <bage@debian.org>  Mon, 04 Mar 2024 22:01:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: non-free/utils
 XS-Autobuild: yes
 Priority: optional
-Maintainer: Martin Meredith <mez@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Martin Meredith <mez@debian.org>
+Uploaders: Bastian Germann <bage@debian.org>
 Build-Depends: debhelper-compat (= 12)
 Standards-Version: 3.9.8
 Homepage: https://www.rarlabs.com/

=== debian/watch ===
version=4

opts="versionmangle=s/b/~b/,uversionmangle=s/^(\d)/$1\./" \
https://www.rarlab.com/download.htm /rar/rarlinux-x32-(\d.*)\.tar\.gz	debian

opts="versionmangle=s/b/~b/,uversionmangle=s/^(\d)/$1\./,component=amd64" \
https://www.rarlab.com/download.htm /rar/rarlinux-x64-(\d.*)\.tar\.gz	same	uupdate

## rar 7.01

=== debian/changelog ===
rar (2:7.01-1~deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * Rebuild for stretch.
    - Lower debhelper compat to 10.
    - CVE-2024-33899: ANSI Escape Injection

 -- Adrian Bunk <bunk@debian.org>  Mon, 30 Jun 2025 22:00:40 +0300

rar (2:7.01-1) unstable; urgency=medium

  * New upstream version

 -- Bastian Germann <bage@debian.org>  Mon, 16 Sep 2024 20:51:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: non-free/utils
 XS-Autobuild: yes
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Martin Meredith <mez@debian.org>
+Maintainer: Martin Meredith <mez@debian.org>
 Uploaders: Bastian Germann <bage@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper (>= 10)
 Standards-Version: 3.9.8
 Homepage: https://www.rarlabs.com/

## rar 7.10~b1

=== debian/changelog ===
rar (2:7.10~b1-1) unstable; urgency=medium

  * New upstream version
  * Drop i386 support

 -- Bastian Germann <bage@debian.org>  Wed, 13 Nov 2024 19:43:05 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Priority: optional
 Maintainer: Martin Meredith <mez@debian.org>
 Uploaders: Bastian Germann <bage@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper-compat (= 12)
 Standards-Version: 3.9.8
 Homepage: https://www.rarlabs.com/
 
 Package: rar
-Architecture: i386 amd64
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: unrar
 Description: Archiver for .rar files

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	rm -rf ./i386
 
 	dh_clean
 
@@ -26,18 +25,14 @@
 	dh_prep
 	dh_installdirs
 
-	mkdir ./i386
-	cp ./rar ./i386
-	cp ./unrar ./i386
-	cp ./default.sfx ./i386
-	install -o root -g root -s -m 0755 $(DEB_HOST_ARCH)/rar debian/rar/usr/bin/rar
+	install -o root -g root -s -m 0755 rar debian/rar/usr/bin/rar
 
 	dh_installdocs
 	dh_installman debian/rar.1
 	dh_installchangelogs
 	dh_compress -X.txt
-	install -o root -g root -m 0644 $(DEB_HOST_ARCH)/unrar debian/rar/usr/lib/unrar
-	install -o root -g root -m 0644 $(DEB_HOST_ARCH)/default.sfx debian/rar/usr/lib/default.sfx
+	install -o root -g root -m 0644 unrar debian/rar/usr/lib/unrar
+	install -o root -g root -m 0644 default.sfx debian/rar/usr/lib/default.sfx
 	install -o root -g root -m 0644 rarfiles.lst debian/rar/etc/rarfiles.lst
 	install -o root -g root -m 644 debian/lintian debian/rar/usr/share/lintian/overrides/rar
 	dh_fixperms

## rar 7.10

=== debian/changelog ===
rar (2:7.10-2) unstable; urgency=medium

  * copyright: Add Disclaimer
  * rar.1: Describe -om switch

 -- Bastian Germann <bage@debian.org>  Fri, 14 Mar 2025 17:40:07 +0100

rar (2:7.10-1) unstable; urgency=medium

  * New upstream version

 -- Bastian Germann <bage@debian.org>  Sun, 23 Feb 2025 22:36:28 +0000

rar (2:7.10~b1-2) unstable; urgency=medium

  * Use dh style

 -- Bastian Germann <bage@debian.org>  Sun, 24 Nov 2024 15:52:20 +0100

## rar 7.11

=== debian/changelog ===
rar (2:7.11-1) unstable; urgency=medium

  * New upstream version

 -- Bastian Germann <bage@debian.org>  Thu, 27 Mar 2025 13:20:58 +0100

## rar 7.12

=== debian/changelog ===
rar (2:7.12-1) unstable; urgency=medium

  * New upstream version

 -- Bastian Germann <bage@debian.org>  Sun, 10 Aug 2025 16:12:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Maintainer: Martin Meredith <mez@debian.org>
 Uploaders: Bastian Germann <bage@debian.org>
 Build-Depends: debhelper-compat (= 12)
+Rules-Requires-Root: no
 Standards-Version: 3.9.8
 Homepage: https://www.rarlabs.com/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=none

override_dh_compress:
	dh_compress -X.txt

override_dh_strip:

=== debian/watch ===
version=4

opts="versionmangle=s/b/~b/,uversionmangle=s/^(\d)/$1\./" \
https://www.rarlab.com/download.htm /rar/rarlinux-x64-(\d.*)\.tar\.gz debian

## rar 7.20

=== debian/changelog ===
rar (2:7.20-1) unstable; urgency=medium

  * New upstream version

 -- Bastian Germann <bage@debian.org>  Tue, 17 Feb 2026 22:22:08 +0100
